<?php

class ModuleServer extends AppModule
{
	function __construct($System)
	{
		parent::__construct($System);
		$this->Name = 'Server';
		$this->Version = '1.0';
		$this->Creator = 'Chronos';
		$this->License = 'GNU/GPL';
		$this->Description = 'Show list of WoW servers which supports translated texts.';
		$this->Dependencies = array();
	}

	function Start()
	{
		$this->System->RegisterPage('serverlist.php', 'PageServerList');
		$this->System->RegisterMenuItem(array(
      'Title' => 'Servery',
      'Hint' => 'Seznam serverů, kde je nasazena čeština v praxi',
      'Link' => $this->System->Link('/serverlist.php'),
      'Permission' => LICENCE_ANONYMOUS,
      'Icon' => '',
    ), 5);
	}
}


class PageServerList extends Page
{
	function Show()
	{
    $Output = '<p>V tomto seznamu jsou uvedeny jen servery, které skutečně hráčům nabízejí počeštěnou hru v praxi. Rozlišuje se, zda češtinu nabízí na straně klienta, serveru nebo obojí. Pojem "český server" zde tedy neznamená, že jej provozují češi, ale že lze hrát česky.</p>';
    $Output .= '<h3>Seznam českých serverů</h3>';

    $DbResult = $this->System->Database->query('SELECT COUNT(*) FROM `ServerList`');
    $DbRow = $DbResult->fetch_row();
    $PageList = GetPageList($DbRow[0]);    

    $Output .= $PageList['Output'];
    $Output .= '<table class="BaseTable">';

    $TableColumns = array(
      array('Name' => 'Name', 'Title' => 'Název'), 
      array('Name' => 'Parts', 'Title' => 'Čeština'), 
    );
    $Order = GetOrderTableHeader($TableColumns, 'Name', 1);
    $Output .= $Order['Output'];

    $Query = 'SELECT `URL`, `Name` FROM `ServerList` '.$Order['SQL'].$PageList['SQLLimit'];

    $DbResult = $this->System->Database->query($Query);
    while($Line = $DbResult->fetch_assoc()) 
    {
      $Output .= '<tr><td><a href="'.$Line['URL'].'">'.$Line['Name'].'</a></td>'.
      '<td>'.$Line['Parts'].'</td></tr>';
    }
    $Output .= '</table>'.
      $PageList['Output'];
		return($Output);
	}
}
